We have moved to a new Sailfish OS Forum. Please start new discussions there.
8

unsollicited upgrade from 1.1.2.16 to 1.1.4.24 [not relevant]

asked 2015-04-09 13:12:40 +0300

objectifnul gravatar image

updated 2015-04-13 10:56:14 +0300

Previously running Yliaavanlampi (1.1.2.16), after pkcon update I discovered my OS version has been silently upgraded to Äijäpäivänjärvi (1.1.4.24). An unannounced update ? Anyway, most Coderus patches are no longer working...

EDIT many other things don't work with 1.1.4.24, e.g. connman-tools (connmanctl => "command not found")

edit retag flag offensive reopen delete

The question has been closed for the following reason "question is not relevant or outdated" by nthn
close date 2016-01-24 14:35:18.516871

Comments

1

Interesting, I tried pkcon update, nothing doing. I noticed a discussion on Talk Maemo about the update, some referring to it as a 'leak'. What's new that you can see?

Spam Hunter ( 2015-04-09 13:42:00 +0300 )edit

@rudi Right, but it's not really new, it's more than two weeks old ;)

silta ( 2015-04-09 14:12:53 +0300 )edit

do a ssu up [äijäs version number] version --dup (search maemo for guides if doesn't work) to get it correctly upgraded. (for me it updated/installed more packages than just pckon update)

tathhu ( 2015-04-09 14:32:41 +0300 )edit

So then: Are you able to create a sip account?

cy8aer ( 2015-04-09 14:55:29 +0300 )edit

3 Answers

Sort by » oldest newest most voted
4

answered 2015-04-10 09:03:42 +0300

t-lo gravatar image

ReviewJollahas a piece on this: http://reviewjolla.blogspot.de/2015/04/minor-warning-update-12-rolling-out-for.html

So this was a mix-up, and it only seems to happen to early adopters (i.e. accounts that have the "early access" flag set). If you have such an account you should not "pkcon update" for the time being. Also, 1.1.4.24 is only halfway installed by "pkcon update" - most notably shown by the system update page displaying the new version number but still showing the "old" Lake picture (of 1.1.2.x).

edit flag offensive delete publish link more
4

answered 2015-04-10 20:43:25 +0300

chemist gravatar image

Just so you know, if you break it you may keep both pieces - and in terms of stability, it just got bumped 4 iterations in a couple of days... speaks for itself, doesn't it?

edit flag offensive delete publish link more
1

answered 2015-04-10 19:29:07 +0300

g7 gravatar image

It seems that the this issue is caused by the ssu version set to latest.

I have currently ssu set to latest and I just got an update to 1.1.4.28.

I guess that latest is a wildcard for the most updated RC version they have.

I bet that everyone who got the 1.1.4.24 update had ssu set to latest as well. You can check with ssu re.

edit flag offensive delete publish link more

Comments

ssu flavour (ssu fl) on my device returns "release", not "latest".

objectifnul ( 2015-04-10 20:02:33 +0300 )edit

You should use ssu re (ssu re latest to set to latest, which is unsupported and potentially dangerous). Of course if you have reset the ssu version to 1.1.4.24 since the incomplete upgrade (for example by doing ssu re 1.1.4.24; version --dup like I've suggested earlier) the command will report version 1.1.4.24 instead of latest.

g7 ( 2015-04-10 20:06:18 +0300 )edit

ssu re returns 1.1.4.24 (maybe because I completed system update of course).

objectifnul ( 2015-04-10 20:14:36 +0300 )edit

Anyway I'll stick to 1.1.4.24 and won't update until 1.1.4.xx is released for everyone.

objectifnul ( 2015-04-10 20:22:47 +0300 )edit

How dangerous is it if I upgrade right now?

Vistaus ( 2015-04-10 20:43:49 +0300 )edit

Question tools

Follow
9 followers

Stats

Asked: 2015-04-09 13:12:40 +0300

Seen: 3,036 times

Last updated: Apr 13 '15